[Numpy-discussion] Numpy 1.6 schedule (was: Numpy 2.0 schedule)

Christoph Gohlke cgohlke@uci....
Fri Mar 4 13:54:07 CST 2011



On 3/4/2011 1:00 AM, Christoph Gohlke wrote:
>
>
> On 3/3/2011 10:54 PM, Ralf Gommers wrote:
>> On Mon, Feb 28, 2011 at 11:31 PM, Ralf Gommers
>> <ralf.gommers@googlemail.com> wrote:
>>> On Mon, Feb 28, 2011 at 10:36 PM, Bruce Southey<bsouthey@gmail.com>
>>> wrote:
>>>> On 02/28/2011 02:00 AM, Ralf Gommers wrote:
>>>>> Hi,
>>>>>
>>>>> On Fri, Jan 28, 2011 at 7:15 AM, Travis
>>>>> Oliphant<oliphant@enthought.com> wrote:
>>>>>> The reason for a NumPy 1.6 suggestion, is that Mark (and others it
>>>>>> would
>>>>>> seem) have additional work and features that do not need to wait
>>>>>> for the
>>>>>> NumPy 2.0 ABI design to finalize in order to get out there.
>>>>>> If someone is willing to manage the release of NumPy 1.6, then it
>>>>>> sounds
>>>>>> like a great idea to me.
>>>>> This thread ended without a conclusion a month ago. Now I think master
>>>>> is in a better state than a month ago for a release (py 2.4/2.5/3.x
>>>>> issues and segfault on OS X fixed, more testing of changes), and I
>>>>> have a better idea of my free time for March/April. Basically, I have
>>>>> a good amount of time for the next couple of weeks, and not so much at
>>>>> the end of March / first half of April due to an inter-continental
>>>>> move. But I think we can get out a beta by mid-March, and I can manage
>>>>> the release.
>>>>>
>>>>> I've had a look at the bug tracker, here's a list of tickets for 1.6:
>>>>> #1748 (blocker: regression for astype('str'))
>>>>> #1619 (issue with dtypes, with patch)
>>>>> #1749 (distutils, py 3.2)
>>>>> #1601 (distutils, py 3.2)
>>>>> #1622 (Solaris segfault, with patch)
>>>>> #1713 (Solaris segfault)
>>>>> #1631 (Solaris segfault)
>>
>> The distutils tickets are resolved.
>>
>>>>> Proposed schedule:
>>>>> March 15: beta 1
>>>>> March 28: rc 1
>>>>> April 17: rc 2 (if needed)
>>>>> April 24: final release
>>
>> Any comments on the schedule or tickets?
>>
>> Before the first beta can be released I think #1748 should be fixed.
>> Before the first RC the Solaris segfaults should be investigated, and
>> documentation for the new iterator (Python docstrings and C API docs)
>> and datetime should be written.
>>
>> Also, some testing on 64-bit Windows would be great, that usually
>> turns up new issues so the sooner the better.
>>
>> Ralf
>
> Hi Ralf,
>
> the numpy master branch on github can not be compiled with Visual
> Studio. A patch is attached. I'll test the builds tomorrow.
>
> Christoph
>

I tested the 32 and 64 bit msvc9/MKL builds for Python 2.7 and 3.2. 
There are few test failures (listed below) that look familiar.

I also ran tests and/or examples of a few 3rd party packages that were 
built against numpy 1.5.1: scipy, pygame, PyMOL, numexpr, matplotlib, 
basemap, scikits.learn, ETS.mayavi, Bottleneck, pytables, and pandas.

Most packages don't have any apparent problems. 
Scipy-0.9.0-win-amd64-py3.2 and Bottleneck-0.3.0 each have one test 
failure/error (also listed below).

There is a problem with code generated by Cython 0.13: pytables-2.2.1 
and pandas-0.3.0, which were built with Cython 0.13, report several 
failures and do crash during the tests. This can probably be fixed by 
"recythonizing" with Cython 0.14.1.

Christoph




numpy-1.6.1.dev-win-amd64-py2.7

======================================================================
ERROR: Ticket #99
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python27-x64\lib\site-packages\numpy\testing\decorators.py", 
line 215, in knownfailer
     return f(*args, **kwargs)
   File 
"X:\Python27-x64\lib\site-packages\numpy\core\tests\test_regression.py",
line 147, in test_intp
     np.intp('0x' + 'f'*i_width,16)
TypeError: function takes at most 1 argument (2 given)

======================================================================
FAIL: test_special_values (test_umath_complex.TestClog)
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python27-x64\lib\site-packages\numpy\testing\decorators.py", 
line 146, in skipper_func
     return f(*args, **kwargs)
   File 
"X:\Python27-x64\lib\site-packages\numpy\core\tests\test_umath_complex.py", 
line 248, in test_special_values
     assert_almost_equal(np.log(x), y)
   File "X:\Python27-x64\lib\site-packages\numpy\testing\utils.py", line 
443, in assert_almost_equal
     raise AssertionError(msg)
AssertionError:
Arrays are not almost equal to 7 decimals
  ACTUAL: array([ nan+2.35619449j])
  DESIRED: (inf+2.356194490192345j)




numpy-1.6.1.dev-win-amd64-py3.2

======================================================================
FAIL: test_special_values (test_umath_complex.TestClog)
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
588, in assert_array_compare
     assert_array_equal(xnanid, ynanid)
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
687, in assert_array_equal
     verbose=verbose, header='Arrays are not equal')
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
618, in assert_array_compare
     raise AssertionError(msg)
AssertionError:
Arrays are not equal

(mismatch 100.0%)
  x: array([ True], dtype=bool)
  y: array(False, dtype=bool)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
440, in assert_almost_equal
     assert_almost_equal(actualr, desiredr, decimal=decimal)
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
447, in assert_almost_equal
     return assert_array_almost_equal(actual, desired, decimal, err_msg)
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
775, in assert_array_almost_equal
     header=('Arrays are not almost equal to %d decimals' % decimal))
AssertionError:
Arrays are not almost equal to 7 decimals

(x and y nan location mismatch [ True], False mismatch)
  x: array([ nan])
  y: array(inf)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
   File "X:\Python32\lib\site-packages\numpy\testing\decorators.py", 
line 147, in skipper_func
     return f(*args, **kwargs)
   File 
"X:\Python32\lib\site-packages\numpy\core\tests\test_umath_complex.py", 
line 248, in test_special_values
     assert_almost_equal(np.log(x), y)
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
443, in assert_almost_equal
     raise AssertionError(msg)
AssertionError:
Arrays are not almost equal to 7 decimals
  ACTUAL: array([ nan+2.35619449j])
  DESIRED: (inf+2.356194490192345j)




numpy-1.6.1.dev-win32-py2.7
numpy-1.6.1.dev-win32-py3.2

======================================================================
FAIL: Test basic arithmetic function errors
----------------------------------------------------------------------
Traceback (most recent call last):
   File 
"X:\Python27\lib\site-packages\numpy\core\tests\test_numeric.py", line 
320, in test_floating_exceptions
     np.power, ftype(2), ftype(2**fi.nexp))
   File 
"X:\Python27\lib\site-packages\numpy\core\tests\test_numeric.py", line 
261, in assert_raises_fpe
     "Type %s did not raise fpe error '%s'." % (ftype, fpeerr))
   File "X:\Python27\lib\site-packages\numpy\testing\utils.py", line 34, 
in assert_
     raise AssertionError(msg)
AssertionError: Type <type 'numpy.float64'> did not raise fpe error 
'overflow'.

======================================================================
FAIL: test_special_values (test_umath_complex.TestClog)
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python27\lib\site-packages\numpy\testing\decorators.py", 
line 146, in skipper_func
     return f(*args, **kwargs)
   File 
"X:\Python27\lib\site-packages\numpy\core\tests\test_umath_complex.py", 
line 168, in test_special_values
     self.assertRaises(FloatingPointError, np.log, x)
AssertionError: FloatingPointError not raised





scipy-0.9.0-win-amd64-py3.2

======================================================================
FAIL: minimum position 7
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python32\lib\site-packages\nose\case.py", line 188, in runTest
     self.test(*self.arg)
   File 
"X:\Python32\lib\site-packages\scipy\ndimage\tests\test_measurements.py",
  line 701, in test_minimum_position07
     assert_equal(output[0], (0, 1))
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
251, in assert_equal
     assert_equal(actual[k], desired[k], 'item=%r\n%s' % (k,err_msg), 
verbose)
   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line 
300, in assert_equal
     raise AssertionError(msg)
AssertionError:
Items are not equal:
item=0

  ACTUAL: nan
  DESIRED: 0




Bottleneck-0.3.0.win32-py2.7
Bottleneck-0.3.0.win-amd64-py2.7

======================================================================
ERROR: Test group_nanmean.
----------------------------------------------------------------------
Traceback (most recent call last):
   File "X:\Python27-x64\lib\site-packages\nose\case.py", line 187, in 
runTest
     self.test(*self.arg)
   File "D:\Bottleneck-0.3.0\bottleneck\tests\group_test.py", line 63, 
in unit_maker
     a1, lab1 = func(arr, label, axis=axis)
   File "group_nanmean.pyx", line 74, in group.group_nanmean 
(bottleneck/src/group/group.c:2873)
   File "group_nanmean.pyx", line 179, in group.group_nanmean_selector 
(bottleneck/src/group/group.c:3464)
TypeError: Unsupported ndim/dtype (1/int32).



More information about the NumPy-Discussion mailing list